सामग्री पर जाएँ

Infinitalk · Video to Video

इंटीग्रेट करें

मॉडल id infinitalk/video-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/infinitalk/video-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $2.175 2,175 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Meituan लिपसिंक और अवतार लिपसिंक720p तक #video-to-video

इनपुट वीडियो में चेहरे को दिए गए ऑडियो ट्रैक के साथ बोलने वाला बनाने के लिए लिप-सिंक करता है

Meituan · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

वीडियो निर्माण का मार्गदर्शन करने वाले टेक्स्ट निर्देश।

•आवश्यक video_url
फ़ाइल ड्रॉप करें, या

इनपुट वीडियो का URL।

•आवश्यक audio_url
फ़ाइल ड्रॉप करें, या

ऑडियो फ़ाइल की ओर संकेत करने वाला URL।

resolution डिफ़ॉल्ट 480p

आउटपुट वीडियो रिज़ॉल्यूशन; केवल 480p और 720p समर्थित हैं।

डिफ़ॉल्ट 145

निर्माण के लिए फ़्रेम संख्या, 81 से 129 तक, दोनों सीमाओं सहित।

उन्नत acceleration · seed · enable_safety_checker
acceleration डिफ़ॉल्ट regular

निर्माण के दौरान लागू किया जाने वाला त्वरण स्तर।

डिफ़ॉल्ट 42

निर्माण को पुनरुत्पाद्य बनाने वाली सीड। इसे None पर सेट करने से सीड यादृच्छिक रूप से चुनी जाती है।

POST /run/infinitalk/video-to-video?wait=20 कोटेशन → $2.175
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/infinitalk/video-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Infinitalk · Video to Video के बारे में

`video_url`, `audio_url` और टेक्स्ट प्रॉम्प्ट लेकर ऑडियो के साथ चेहरे को सिंक किया हुआ बोलता वीडियो बनाता है। `resolution` 480p या 720p है और `num_frames` 41 से 241 तक होता है; डिफ़ॉल्ट 145 है। `acceleration` none, regular या high हो सकता है और सीड सेट किया जा सकता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
video_urlआवश्यक video
प्रकारurl · video
इनपुट वीडियो का URL।
audio_urlआवश्यक audio
प्रकारurl · audio
ऑडियो फ़ाइल की ओर संकेत करने वाला URL।
promptआवश्यक
प्रकारstring
वीडियो निर्माण का मार्गदर्शन करने वाले टेक्स्ट निर्देश।
num_framesवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट145
41 – 241
निर्माण के लिए फ़्रेम संख्या, 81 से 129 तक, दोनों सीमाओं सहित।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट480p
480p720p
आउटपुट वीडियो रिज़ॉल्यूशन; केवल 480p और 720p समर्थित हैं।
seedवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट42
0 – 4,29,49,67,295
निर्माण को पुनरुत्पाद्य बनाने वाली सीड। इसे None पर सेट करने से सीड यादृच्छिक रूप से चुनी जाती है।
accelerationवैकल्पिक
प्रकारenum
डिफ़ॉल्टregular
noneregularhigh
निर्माण के दौरान लागू किया जाने वाला त्वरण स्तर।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "infinitalk/video-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2175,
    "usd": "2.175",
    "charged": 2175,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}निर्माण से तैयार की गई वीडियो फ़ाइल।
seed
integerनिर्माण के दौरान लागू किया गया सीड मान।

और मॉडल: लिपसिंक और अवतार

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/infinitalk/video-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt